summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Martin Lefebvre2010-05-11 15:01:36 +0200
committer Robby Workman2010-05-11 15:01:36 +0200
commit2e6605101a59abbce06b221c75ed959dc61fca54 (patch)
tree9beb9d23fd89c23ab272735c4b70134b579e11e2 /network
parent6a3bb08a09dcad867ccfe36ee1c3e739ec68d4ab (diff)
downloadslackbuilds-2e6605101a59abbce06b221c75ed959dc61fca54.tar.gz
network/snownews: Initial import
Diffstat (limited to 'network')
-rw-r--r--network/snownews/README6
-rw-r--r--network/snownews/slack-desc10
-rw-r--r--network/snownews/snownews.SlackBuild82
-rw-r--r--network/snownews/snownews.info8
4 files changed, 106 insertions, 0 deletions
diff --git a/network/snownews/README b/network/snownews/README
new file mode 100644
index 0000000000..618255cdbd
--- /dev/null
+++ b/network/snownews/README
@@ -0,0 +1,6 @@
+Snownews is a text mode RSS/RDF newsreader. It supports all
+versions of RSS natively and supports other formats via plugins.
+
+The program depends on ncurses for the user interface and uses
+libxml2 for XML parsing. ncurses must be at least version 5.0. It
+should work with any version of libxml2.
diff --git a/network/snownews/slack-desc b/network/snownews/slack-desc
new file mode 100644
index 0000000000..a69c71018f
--- /dev/null
+++ b/network/snownews/slack-desc
@@ -0,0 +1,10 @@
+snownews: Snownews - text mode RSS/RDF reader
+snownews:
+snownews: Snownews is a text mode RSS/RDF newsreader. It supports all
+snownews: versions of RSS natively and supports other formats via plugins.
+snownews:
+snownews: The program depends on ncurses for the user interface and uses
+snownews: libxml2 for XML parsing. ncurses must be at least version 5.0. It
+snownews: should work with any version of libxml2.
+snownews:
+snownews:
diff --git a/network/snownews/snownews.SlackBuild b/network/snownews/snownews.SlackBuild
new file mode 100644
index 0000000000..3c76518dec
--- /dev/null
+++ b/network/snownews/snownews.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for snownews
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=snownews
+VERSION=1.5.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Fix a symlink in $PKG/usr/bin
+( cd $PKG/usr/bin ; rm -f snow2opml ; ln -s opml2snow snow2opml )
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Snownews ships with support for multiple languages, so this is a bit
+# different method for gzipping man pages than we normally use
+find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHOR COPYING CREDITS Changelog INSTALL README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/snownews/snownews.info b/network/snownews/snownews.info
new file mode 100644
index 0000000000..c0d3254fdc
--- /dev/null
+++ b/network/snownews/snownews.info
@@ -0,0 +1,8 @@
+PRGNAM="snownews"
+VERSION="1.5.7"
+HOMEPAGE="http://kiza.kcore.de/software/snownews/"
+DOWNLOAD="http://kiza.kcore.de/software/snownews/download/snownews-1.5.7.tar.gz"
+MD5SUM="75ffa004e755a233f49b1cdfcd9e3d85"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@gmail.com"
+APPROVED="robw810,elohim"